import 'package:petitparser/petitparser.dart';
import 'package:test/test.dart';
import '../../../lib/parser/grammar_parser.dart';

main() {
  final evaluatorDef = EvaluatorDefinition();
  final evaluatorParser = evaluatorDef.build();
  group(
      """[141s] 	BLANK_NODE_LABEL 	::= 	'_:' (PN_CHARS_U | [0-9]) ((PN_CHARS | '.')* PN_CHARS)?""",
      () {
    Map<String, String> testStrings = {
      '_:0': '_:0',
      '_:a': '_:a',
      '_:_b': '_:_b',
      '_:xyz': '_:xyz'
    };
    testStrings.keys.forEach((element) {
      String actual = evaluatorParser.parse(element).value;
      String expected = testStrings[element]!;
      print('BLANK_NODE_LABEL $element - actual: $actual, expected: $expected');
      test('BLANK_NODE_LABEL case $element', () {
        expect(actual, expected);
      });
    });
  });
}
