import 'package:petitparser/petitparser.dart';
import 'package:test/test.dart';
import '../../../lib/parser/grammar_parser.dart';

main() {
  final evaluatorDef = EvaluatorDefinition();
  final evaluatorParser = evaluatorDef.build();
  group("""[14] 	blankNodePropertyList 	::= 	'[' predicateObjectList ']'""",
      () {
    Map<String, List> testStrings = {};
    testStrings.keys.forEach((element) {
      List actual = evaluatorParser.parse(element).value;
      List expected = testStrings[element]!;
      print(
          'blankNodePropertyList $element - actual: $actual, expected: $expected');
      test('blankNodePropertyList case $element', () {
        expect(actual, expected);
      });
    });
  });
}

// [[, [a, [[[[o, [[[w], l]]]], :, [t, [[[h, i, n], g]]]], []], []], ]]
// [[, [a, [[[[o, [[[w], l]]]], :, [t, [[[h, i, n], g]]]], []], [[;, []]]], ]]
// [[, [a, [[[[o, [[[w], l]]]], :, [t, [[[h, i, n], g]]]], []], [[;, []], [;, []]]], ]]
